/// The type we store a level in. As our implementation is aimed at normal Pokemon behaviour, a u8
/// is probably enough, as we'd go up to 100. If you for some reason want to go higher, you can just
/// change this type to hold a higher number.
pub type LevelInt = u8;

/// The amount of moves a Pokemon can have at once. This is set to 4, as that is the default in most
/// current Pokemon generations. A developer should be able to modify this however.
pub const MAX_MOVES: usize = 4;
