use crate::dynamic_data::BattleParty;
use crate::script_implementations::rune::wrappers::impl_rune_wrapper;
use rune::Any;
use std::sync::Arc;

pub fn register(module: &mut rune::Module) -> anyhow::Result<()> {
    module.ty::<RuneBattleParty>()?;
    Ok(())
}

#[derive(Debug, Clone, Any)]
pub struct RuneBattleParty(pub Arc<BattleParty>);

impl_rune_wrapper!(&Arc<BattleParty>, RuneBattleParty);
