use crate::dynamic_data::BattleSide;
use crate::script_implementations::rune::wrappers::impl_rune_wrapper;
use rune::Any;

pub fn register(module: &mut rune::Module) -> anyhow::Result<()> {
    module.ty::<RuneBattleSide>()?;

    Ok(())
}

#[derive(Debug, Clone, Any)]
pub struct RuneBattleSide(pub BattleSide);

impl_rune_wrapper!(&BattleSide, RuneBattleSide);

impl RuneBattleSide {}
